%define upstream_name msgpack

Name:           python-%{upstream_name}
Version:        1.0.4
Release:        %mkrel 1
Summary:        MessagePack (de)serializer
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/msgpack
Source0:        https://pypi.io/packages/source/m/msgpack/%{upstream_name}-%{version}.tar.xz

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%package -n python3-%{upstream_name}
Summary:        A Python 3 MessagePack (de)serializer
Group:          Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython

%description -n python3-%{upstream_name}
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.
This is a Python 3 (de)serializer for MessagePack.

%prep
%setup -q -n %{upstream_name}-%{version}

# drop bundled egg-info
rm -rf msgpack.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc COPYING README.md
%{python3_sitearch}/msgpack/
%{python3_sitearch}/msgpack-%{version}-*.egg-info



%changelog
* Thu Aug 04 2022 TerryN <terryn94 at gmail.com> 1.0.4-1pclos2022
- update and rebuild for python 3.10

* Sat Apr 25 2020 pp <pp> 0.6.2-1pclos2020
- new
